HyperTrackDocs
Orders

Estimate Route

GET
/orders/estimate

Get the estimate route information for a sequence of orders

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

ops_group_handle*string

Unique Handle of Ops Group to estimate route for

orders*string

List of Orders in the desired sequence to do the estimate, it should be list of json object, eg: [{"order_handle": "<order_handle>", "type":"<pick/drop>", "type_index": 0}] where order_handle is a required field

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/orders/estimate?ops_group_handle=string&orders=string"
{  "estimate": {    "distance": 1000,    "duration": 600,    "polyline": {      "type": "LineString",      "coordinates": [        [          -121.89,          37.41        ],        [          -121.88,          37.42        ]      ]    }  },  "orders": []}
{  "title": "string",  "detail": "string"}
{  "code": "string",  "title": "string",  "detail": "string"}